# netstat mysql tables - v1.0
# you must have already installed and running netacct-mysql >= 0.73rc4
# default user admin with pass admin added at the end
# if you want you can change something bellow
#

use netacct;

grant delete on netacct.* to acct@localhost ;

CREATE TABLE users (
  uid int(10) NOT NULL auto_increment,
  ip varchar(15) default '0',
  login varchar(15) NOT NULL default '',
  password varchar(35) NOT NULL default '',
  status enum('client','pclient','admin') NOT NULL default 'client',
  input_traffic_price float(5,2) unsigned default '0.00',
  output_traffic_price float(5,2) unsigned default '0.00',
  input_peering_price float(5,2) unsigned default '0.00',
  output_peering_price float(5,2) unsigned default '0.00',
  input_direct_price float(5,2) unsigned default '0.00',
  output_direct_price float(5,2) unsigned default '0.00',
  input_local_price float(5,2) unsigned default '0.00',
  output_local_price float(5,2) unsigned default '0.00',
  PRIMARY KEY  (uid,login),
  UNIQUE KEY uid (uid),
  UNIQUE KEY login (login)
) TYPE=MyISAM;

CREATE TABLE ipallow (
   ip varchar(15) NOT NULL default '',
   PRIMARY KEY (ip)
);

CREATE TABLE logins (
  uid int(10) unsigned NOT NULL default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  ip char(20) NOT NULL default '',
  PRIMARY KEY  (uid,date)
);

INSERT INTO users (login, password, ip, status) VALUES ('admin', '21232f297a57a5a743894a0e4a801fc3', '127.0.0.1', 'admin');
INSERT INTO ipallow (ip) VALUES ('127.0.0.1');
