#!/usr/bin/perl
#
# Safe nacctd version 1.1 by XERXES <xerxes@eda.bg>
# May be used in terms of GNU GENERAL PUBLIC LICENSE Version 2 or higher
#
# change you user & pass, need to have insert access to netacct.*
#

my $sqluser="acct";
my $sqlpass="acct_password";
my $dumpfiledir="/var/log/";
#0-don't delete files after insert into base, 1-delete files
my $wantdelete=1;
#---------------------------------------------------------
use strict;
use DBI;
use Time::Local;

my ( $sth, $dbh, $line, $clock, $date, $file, $tempfile, @splitline);
my  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst);
my $dbh=DBI->connect('dbi:mysql:netacct:localhost', $sqluser, $sqlpass)
    or die "ERROR : Cannot connect to MySQL server!!!\n";
print "nacctd dumpfile importer v1.1 by XERXES\n\n";
print "Importing data\n-----------------------------------------------------------\n";
opendir(LOGDIR,$dumpfiledir);
while ($file = readdir(LOGDIR))
{
    if ($file =~ /net-acct-dump/)
    {
     $tempfile=sprintf("%s%s",$dumpfiledir,$file);
     print "Processing $tempfile ";
     open(DUMPFILE,$tempfile);
     my $line=<DUMPFILE>;
     while ($line ne "")
	{
	    @splitline=split (/\s+/,$line);
	    ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime $splitline[0];
	    $date=sprintf("%d-%d-%d", $year+1900, $mon, $mday);
	    $clock=sprintf("%d:%d:%d", $hour, $min, $sec);
	    $sth=$dbh->prepare("INSERT INTO accounting values('','$clock','$date','$splitline[1]','$splitline[2]',
	    '$splitline[3]','$splitline[4]','$splitline[5]','$splitline[6]','$splitline[7]',
	    '$splitline[9]','$splitline[8]','')") or die "ERROR : Can't write into MySQL !!!\n";
	    $sth->execute();
	    $sth->finish();
	    print ".";
	    $line=<DUMPFILE>;
	}	
     print " [OK]\n";
     close(DUMPFILE);
     if ($wantdelete)
     {
        print "*** removing $tempfile ***\n";
        system("rm -f $tempfile");
      }
     }
}
$dbh->disconnect();
